Update export policy properties
Updates the properties of an export policy to modify its name or replace all associated export policy rules. This allows you to manage access controls and permissions for your storage resources effectively.
HTTP method and endpoint
PATCH /protocols/nfs/export-policies/{id}
Introduced in
ONTAP 9.6
Usage notes
Updates the properties of an export policy to change an export policy name or replace all export policy rules.
Related ONTAP commands
-
vserver export-policy rename -
vserver export-policy rule delete -
vserver export-policy rule create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
id |
integer |
path |
True |
Export Policy ID |
Request Body
| Name | Type | Description |
|---|---|---|
id |
integer |
Export Policy ID |
name |
string |
Export Policy Name |
rules |
array[export_rules] |
Rules of the Export Policy. |
svm |
Example request
{
"id": 0,
"name": "string",
"rules": [
{
"anonymous_user": "string",
"chown_mode": "string",
"clients": [
{
"match": "0.0.0.0/0"
}
],
"index": 0,
"ntfs_unix_security": "string",
"protocols": [
"string"
],
"ro_rule": [
"string"
],
"rw_rule": [
"string"
],
"superuser": [
"string"
]
}
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1703950 |
Failed to rename ruleset |
1703952 |
Invalid ruleset name provided. No spaces are allowed in a ruleset name |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
export_clients
| Name | Type | Description |
|---|---|---|
match |
string |
Client Match Hostname, IP Address, Netgroup, or Domain. You can specify the match as a string value in any of the following formats:
|
export_rules
| Name | Type | Description |
|---|---|---|
allow_device_creation |
boolean |
Specifies whether or not device creation is allowed. |
allow_suid |
boolean |
Specifies whether or not SetUID bits in SETATTR Op is to be honored. |
anonymous_user |
string |
User ID To Which Anonymous Users Are Mapped. |
chown_mode |
string |
Specifies who is authorized to change the ownership mode of a file. |
clients |
array[export_clients] |
Array of client matches |
index |
integer |
Index of the rule within the export policy. |
ntfs_unix_security |
string |
NTFS export UNIX security options. |
protocols |
array[string] |
|
ro_rule |
array[string] |
Authentication flavors that the read-only access rule governs |
rw_rule |
array[string] |
Authentication flavors that the read/write access rule governs |
superuser |
array[string] |
Authentication flavors that the superuser security type governs |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
export_policy
| Name | Type | Description |
|---|---|---|
id |
integer |
Export Policy ID |
name |
string |
Export Policy Name |
rules |
array[export_rules] |
Rules of the Export Policy. |
svm |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |